/****************************************************************************
** AMCProgDlg meta object code from reading C++ file 'amcprogdlg.h'
**
** Created: Thu Jan 29 10:28:58 2004
**      by: The Qt MOC ($Id: amcprogdlg.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "amcprogdlg.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *AMCProgDlg::className() const
{
    return "AMCProgDlg";
}

QMetaObject *AMCProgDlg::metaObj = 0;

void AMCProgDlg::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(AMCProgDlgBase::className(), "AMCProgDlgBase") != 0 )
	badSuperclassWarning("AMCProgDlg","AMCProgDlgBase");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString AMCProgDlg::tr(const char* s)
{
    return qApp->translate( "AMCProgDlg", s, 0 );
}

QString AMCProgDlg::tr(const char* s, const char * c)
{
    return qApp->translate( "AMCProgDlg", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* AMCProgDlg::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) AMCProgDlgBase::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (AMCProgDlg::*m1_t0)();
    typedef void (QObject::*om1_t0)();
    m1_t0 v1_0 = &AMCProgDlg::reject;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    QMetaData *slot_tbl = QMetaObject::new_metadata(1);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(1);
    slot_tbl[0].name = "reject()";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    metaObj = QMetaObject::new_metaobject(
	"AMCProgDlg", "AMCProgDlgBase",
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}
